<?php
/**
 * This file is part of Theme for 
 * pragmaMx - Web Content Management System.
 *
 * $template : ala_lingu $
 * $Revision: 1.1 $
 * 
 * $Author: aLaNiSo $
 * $Date: 21.10.2014 $
 */
defined ( 'mxMainFileLoaded' ) or die ( 'access denied' );

include_once (dirname ( dirname ( __FILE__ ) ) . "/includes/functions.php");
include_once (dirname ( dirname ( __FILE__ ) ) . DS . "setup.pmx.php");
/**
 * theme_admin
 *
 * @package
 *
 * @author aLaNiSo
 * @copyright Copyright (c) 2014
 * @access public
 */
class theme_admin {
  private $errors = array ();
  private $form = null;
  private $homepage = '';
  private static $__set = array (); // Konfiguration
  private $kf = null;
  private static $_config = null;
  public $themename = '';

  /**
   * class::__construct()
   *
   * @param string $parameter          
   */
  function __construct($parameter = "") {

    global $prefix;
    
    mxGetLangfile ( __DIR__ );
    
    $this->themename = basename ( dirname ( __DIR__ ) );
    
    $this->kf = new theme_functions ( $this->themename );
    $this->op = $parameter;
    self::$_config = $this->config_load ();
    $this->main ( $this->op );
  }

  /**
   * class::__get()
   *
   * @param mixed $value_name          
   * @return
   *
   */
  public function __get($value_name) {

    if (isset ( self::$__set [$value_name] )) {
      return self::$__set [$value_name];
    }
    return false;
  }

  /**
   * class::__set()
   *
   * @param mixed $name          
   * @param mixed $val          
   * @return
   *
   */
  public function __set($name, $val) {

    self::$__set [$name] = $val;
  }

  /**
   * class::main()
   *
   * @param string $action          
   * @return
   *
   */
  function main($op) {

    global $credits;
    $info2 = $this->themename;
    $tb = load_class ( 'AdminForm', "adminFormMain" );
    $redirect = false;
    
    /* definitionen voreinstellungen */
    
    switch (pmxAdminForm::CheckButton ()) {
      case "save" :
        $redirect = true;
      case "accept" :
        $temp = $_POST ['config'];
        $config = $this->config_load ();
        
        switch (true) {
          case (trim ( $temp ['sitename'] == "" )) :
            $temp ['sitename'] = $GLOBALS ['sitename'];
          case (trim ( $temp ['slogan'] == "" )) :
            $temp ['slogan'] = $GLOBALS ['slogan'];
        }
        $temp = array_merge ( $config, $temp );
        $this->config_save ( $temp );
        if ($redirect)
          mxRedirect ( "admin.php?op=themes", _CHANGESAREOK, 1 );
        break;
    }
    
    $config = $this->config_load ();
    
    echo "<h3>" . $info2 . "</h3>";
    
    $tb = load_class ( 'AdminForm', "adminFormMain" );
    $tb->tb_text = "";
    $tb->tb_direction = 'right';
    $tb->infobutton = true;
    $tb->tb_pic_heigth = 22;
    $tb->cssclass = "toolbar1";
    $tb->homelink = false;
    
    $tb->addToolbar ( "save" );
    $tb->addToolbar ( "accept" );
    
    $tb->addToolbarLink ( "cpanel", "admin.php?op=themes" );
    
    $farbschema = array (
        "blue" => "blue",
        "green" => "green",
        "orange" => "orange", 
        "red" => "red", 
        "gold" => "gold",
        "silver" => "silver"   
    );
    
        
    
    
    /* Form elements */
    $tb->addFieldSet ( "head", _SETTINGS, "", false );
    $tb->add ( "head", "input", "config[sitename]", $config ['sitename'], _THEME_TITLE, "", 50, 50 );
    $tb->add ( "head", "input", "config[slogan]", $config ['slogan'], _THEME_SLOGAN, "", 50, 50 );
    $tb->add ( "head", "input", "config[searchslogan]", $config ['searchslogan'], _THEME_SEARCHSLOGAN, "", 50, 50 );
    $tb->add ( "head", "input", "config[head_css_menu]", $config ['head_css_menu'], _THEME_MENU, "", 50, 50 );
    $tb->add ( "head", "input", "config[mobile_css_menu]", $config ['mobile_css_menu'], _THEME_MOBILEMENU, _THEME_MOBILEMENU_TXT, 50, 50 );
    $tb->add ( "head", "select", "config[colorschema]", $config ['colorschema'], _THEME_COLOR, '', 1, $farbschema );
     
    $tb->add ( "head", "hidden", "config[banner][head]", 0 );
    $tb->add ( "head", "hidden", "config[banner][foot]", 0 );
    $tb->add ( "head", "hidden", "ok", "1" );
    
    $tb->addFieldSet ( "social", _THEME_SOCIAL_SETTINGS, "", false );
    $tb->add ( "social", "input", "config[facebooklink]", $config ['facebooklink'], _THEME_FACEBOOKLINK, "", 50, 50 );
    $tb->add ( "social", "input", "config[twitterlink]", $config ['twitterlink'], _THEME_TWITTERLINK, "", 50, 50 );
    $tb->add ( "social", "input", "config[tumblrlink]", $config ['tumblrlink'], _THEME_TUMBLRLINK, "", 50, 50 );
    $tb->add ( "social", "input", "config[youtubelink]", $config ['youtubelink'], _THEME_YOUTUBELINK, "", 50, 50 );
    $tb->add ( "social", "input", "config[bebolink]", $config ['bebolink'], _THEME_BEBOLINK, "", 50, 50 );
    $tb->add ( "social", "input", "config[googlelink]", $config ['googlelink'], _THEME_GOOGLELINK, "", 50, 50 );
    $tb->add ( "social", "input", "config[xinglink]", $config ['xinglink'], _THEME_XINGLINK, "", 50, 50 );
    $tb->add ( "social", "input", "config[rsslink]", $config ['rsslink'], _THEME_RSSLINK, "", 50, 50 );
    
    $tb->addFieldSet ( "slides", _THEME_SLIDEJS_SETTINGS, "", false );
    $tb->add ( "slides", "checkbox", "config[useslides]", $config ['useslides'], _THEME_USESLIDEJS, "", 50, 50 );
    //$tb->add ( "slides", "number", "config[nof_slides]", $config ['nof_slides'], _THEME_NOF_SLIDES, "", 5, 50 );
    $nof_slides = ($config ['nof_slides']) ? $config ['nof_slides'] : 3;
    for($i = 1; $i <= $nof_slides; $i ++) {
      $tb->add ( "slides", "input", "config[slide_head" . $i . "]", $config ['slide_head' . $i], _THEME_SLIDEHEAD . $i, "", 50, 50 );
      $tb->add ( "slides", "textarea", "config[slide_text" . $i . "]", $config ['slide_text' . $i], _THEME_SLIDETEXT . $i, "", 80, false );
      $tb->add ( "slides", "filebrowse", "config[slide_img" . $i . "]", $config ['slide_img' . $i], _THEME_SLIDEIMG . $i, _THEME_BESTPICSIZE, 40, array (
      		'type' => 'images', 'showimage' => true ) );
      $tb->add ( "slides", "input", "config[slide_href" . $i . "]", $config ['slide_href' . $i], _THEME_SLIDEHREF . $i, "", 50, 50 );
    }
    
    $out = $tb->Show ();
    $out .= "<hr><p class=\"align-center\" >$credits</p>";
    $out .= $this->alaniso_vcheck ();
    
    echo $out;
  }

  /**
   * class::config_save()
   * Konfiguration auslesen .
   *
   *
   * ...
   *
   * @param array $temp          
   * @return
   *
   */
  function config_save($temp = array()) {

    $this->kf->config_save ( $temp );
  }

  /**
   * class::config_load()
   *
   * @return
   *
   */
  function config_load() {

    $temp = $this->kf->config_load ();
    
    return $temp;
  }
  
  private function alaniso_vcheck() {
  
  	global $currentlang, $theme_version, $credits;
    $check = '';
  	// Versionscheck nur 1x pro Sessionlifetime
  	$past = time () - MX_SESSION_LIFETIME;
  	$lasttime = mxSessionGetVar ( $this->themename . 'vcheck' );
  	if ((mxSessionGetVar ( $this->themename . 'vcheck' ) + MX_SESSION_LIFETIME) > time ()) {
  		return $check;
  	}
  	mxSessionSetVar ( $this->themename . 'vcheck', time () );
  
  	$module = 'theme_' . $this->themename;
  	// Zuerst von der Versionsverwaltung die URL zum Modul-Check holen:
  	$updateurl = $this->alaniso_vcheck_connect ( "http://www.vcheck.alaniso.de/index.php" );
  	if ($updateurl == false)
  		return $check;
  	// return 'Versions-Check: nicht moeglich!';
  
  	// Versionscheck durchfuehren:
  	$update1 = $this->alaniso_vcheck_connect ( "http://" . $updateurl . "&module=" . $module . "&version=" . $theme_version . "&lang=" . $currentlang . "&site=" . strip_tags ( PMX_HOME_URL ) );
  	if ($update1 == false)
  		return $check;
  	// return 'Versions-Check: Kein Ergebnis fuer Modul: ' . "http://" . $updateurl . '<br>' . $update1;
  
  	$update = @unserialize ( json_decode ( trim ( $update1 ), TRUE ) );
  
  	if (! is_array ( $update ))
  		return $check;
  	// return 'Versions-Check: Ergebnis ist kein Array!' . "http://" . $updateurl . '<br>' . $update1;
  
  	if ($update ['check']) { // ok
  		$check .= "<div class=\"note\">";
  		$check .= "<h4>" . $update ['title'] . "</h4>";
  		$check .= $update ['text'] . ":" . $update ['version'] . "<br />";
  		$check .= "<br />";
  	} else { // new version
  		$check .= "<div class=\"warning\">";
  		$check .= "<h4>" . $update ['title'] . "</h4>";
  		$check .= $update ['text'] . " [ " . $update ['version'] . " ]<br />";
  		$check .= "<a href=\"" . $update ['updateurl'] . "\" target=\"_blank\" >" . $update ['updateurl'] . "</a><br />";
  	}
  	$check .= "<hr /><div class=\"tiny\">" . $update ['info'] . "&nbsp;:&nbsp;";
  	$check .= "<a href=\"" . $update ['url'] . "\" target=\"_blank\" >" . $update ['url'] . "</a></div>";
  	$check .= "</div>";
  
  	return $check;
  }
  
  private function alaniso_vcheck_connect($url = "") {
  
  	if ($url == "")
  		return;
  	$useragent = $_SERVER ['HTTP_USER_AGENT'];
  	$result = false;
  	$msg = '';
  	if (function_exists ( "curl_init" )) {
  		/**
  		 * cURL-Session initialisieren
  		 */
  		$ch = curl_init ( $url );
  		/**
  		 * Weiter Parameter der cURL-Session übergeben
  		*/
  		curl_setopt ( $ch, CURLOPT_URL, $url );
  		curl_setopt ( $ch, CURLOPT_HEADER, 0 );
  		// Post-Daten
  		curl_setopt ( $ch, CURLOPT_POST, TRUE );
  		curl_setopt ( $ch, CURLOPT_POSTFIELDS, $msg );
  
  		/**
  		 * cURL Anweisen, das die Übergabe
  		 * zurückgegeben werden soll
  		*/
  		curl_setopt ( $ch, CURLOPT_RETURNTRANSFER, TRUE );
  		curl_setopt ( $ch, CURLOPT_FOLLOWLOCATION, 1 );
  
  		/**
  		 * cURL mitteilen, welcher Useragent übergeben
  		 * werden soll.
  		*/
  		curl_setopt ( $ch, CURLOPT_USERAGENT, $useragent );
  		/**
  		 * cURL Rückgabe in $result speichern
  		*/
  		$result = @curl_exec ( $ch );
  		curl_close ( $ch );
  	} else {
  		// echo "Function: curl_init nicht vorhanden!";
  	}
  	if (trim ( $result ) == "FORBIDDEN")
  		return false;
  
  	return $result;
  }
  
}

if (! isset ( $op ))
  $op = "";
$tmp = new theme_admin ( $op );
$tmp = null;

?>