<?php
/**
 * This file is part of Theme for 
 * pragmaMx - Web Content Management System.
 *
 * $template : ala_lingu $
 * $Revision: 1.1 $
 * 
 * $Author: aLaNiSo $
 * $Date: 21.10.2014 $
 */
defined ( 'mxMainFileLoaded' ) or die ( 'access denied' );

/**
 * Definition der jeweiligen Platzhalter und deren Ersetzungen
 */
function theme_define_placeholders() {

  global $themesetting;
  $part [] = array (
      "{PAGE_TITLE}",
      $themesetting ['sitename'] 
  );
  $part [] = array (
      "{PAGE_SLOGAN}",
      $themesetting ['slogan'] 
  );
  $part [] = array (
      "{SEARCHSLOGAN}",
      $themesetting ['searchslogan'] 
  );
  $part [] = array (
      "{FOOTMESSAGE_LEFT}",
      theme_get_footmsg_left () 
  );
  $part [] = array (
      "{FOOTMESSAGE_MIDDLE}",
      theme_get_footmsg_middle () 
  );
  $part [] = array (
      "{FOOTMESSAGE_RIGHT}",
      theme_get_footmsg_right () 
  );
  $part [] = array (
      "{DEBUGSERVICE}",
      theme_get_servicetext ( 'debugservice' ) 
  );
  $part [] = array (
      "{SITESERVICE}",
      theme_get_servicetext ( 'siteservice' ) 
  );
  $part [] = array (
      "{NAVBARMOBILE}",
      theme_get_mobilemenu () 
  );
  $part [] = array (
      "{NAVBAR}",
      theme_get_navbars ( 1 ) 
  );
  $part [] = array (
      "{SOCIAL}",
      theme_get_social () 
  );
  $part [] = array (
      "{CURRENTYEAR}",
      date ( 'Y' ) 
  );
  
  return $part;
}

/**
 * Definition der einzelnen Blockbereiche
 */
function theme_define_blocks() {

  global $themesetting;
  static $var;
  if (isset ( $var ))
    return $var;
    // linke Bloecke
  $name = 'block_left';
  $var [$name] ['container'] = 'blocks_left_loop';
  $var [$name] ['function'] = 'themesidebox';
  $var [$name] ['position'] = 'l';
  // obere Center-Bloecke
  $name = 'block_center_top';
  $var [$name] ['container'] = 'blocks_center_top_loop';
  $var [$name] ['function'] = 'thememiddlebox';
  $var [$name] ['position'] = 'c';
  // untere Center-Bloecke
  $name = 'block_center_down';
  $var [$name] ['container'] = 'blocks_center_down_loop';
  $var [$name] ['function'] = 'thememiddlebox';
  $var [$name] ['position'] = 'd';
  // rechte Bloecke
  $name = 'block_right';
  $var [$name] ['container'] = 'blocks_right_loop';
  $var [$name] ['function'] = 'themesidebox';
  $var [$name] ['position'] = 'r';
  return $var;
}

/**
 * Definition des Contentbereiches inkl.
 * der open/close-Table Funktionen
 */
function theme_define_content() {

  static $var;
  if (isset ( $var ))
    return $var;
    // die Funktion OpenTable()
  $var ['opentabs'] ['OpenTable'] ['templatevar'] = 'opentable';
  $var ['opentabs'] ['OpenTable'] ['innerreplace'] = '{OPENCLOSE_TABLE}'; // hier kann irgendwas stehen, es muss aber mit dem entsprechenden Text innerhalb der template-Datei uebereinstimmen...
                                                                          // die Funktion OpenTable2()
  $var ['opentabs'] ['OpenTable2'] ['templatevar'] = 'opentable2';
  $var ['opentabs'] ['OpenTable2'] ['innerreplace'] = '{OPENCLOSE_TABLE_2}';
  // die Funktion OpenTableAl()
  $var ['opentabs'] ['OpenTableAl'] ['templatevar'] = 'opentableal';
  $var ['opentabs'] ['OpenTableAl'] ['innerreplace'] = '{OPENCLOSE_TABLE_AL}';
  // die Funktion themeindex() / News Modul
  $var ['themeindex'] = 'themeindex';
  // die Funktion themearticle() / News Modul
  $var ['themearticle'] = 'themearticle';
  // der Name (output_container) darf nicht veraendert werden !!
  $var ['output_container'] = 'script_output';
  // der Name (index_on_container) darf nicht veraendert werden !!
  $var ['index_on_container'] = 'blocks_right_container';
  $var ['index_on_block_container'] = 'blocks_right_loop';
  // der Name (more_header) darf nicht veraendert werden !!
  $var ['add_header'] = 'more_header';
  
  return $var;
}

/**
 * Die verschiedenen Layout-Spalten definieren
 * das Ganze wird in Funktion theme_header() angewendet
 */
function theme_get_layout_class() {

  global $themesetting;
  
  $class = '';
  
  switch ($themesetting ['layouttype']) {
    case 'fluid' :
      $class .= ' fluid';
      break;
    case 'fixed' :
    default :
      $class .= ' fixed';
  }
  
  switch (true) {
    case theme_hidesideblocks () :
    case theme_hiderightblocks () && theme_hideleftblocks () :
      // einspaltiges Layout
      $class .= ' col-1';
      break;
    
    case theme_hiderightblocks () :
    case isset ( $_GET ['about'] ) && $_GET ['about'] === basename ( _THISTHEME_ ) :
      // zweispaltiges Layout
      $class .= ' col-2-left';
      switch ($themesetting ['layoutcols']) {
        case 'right' :
          $class .= ' col-to-right';
          break;
        default :
      }
      break;
    
    case theme_hideleftblocks () :
      // zweispaltiges Layout, rechts ist aber links!!
      $class .= ' col-2-right';
      switch ($themesetting ['layoutcols']) {
        case 'left' :
          $class .= ' col-to-left';
          break;
        default :
      }
      break;
    
    default :
      // dreispaltiges Layout > Standard
      switch ($themesetting ['layoutcols']) {
        case 'left' :
          $class .= ' col-3-left';
          break;
        case 'right' :
          $class .= ' col-3-right';
          break;
        default :
          $class .= ' col-3';
      }
      break;
  }
  $class .= ' bodymain';
  
  return trim ( $class );
}

/**
 * ersetzen von eigenen Theme-Elementen, kann veraendert und ergaenzt werden
 * diese Teile werden gleich zu Beginn des scriptes, beim einlesen des templates, ersetzt
 * Vorsicht, wenn das Theme gecached werden soll!!!
 * Dann duerfen hier keine dynamischen Elemente eingesetzt werden.
 */
function theme_replace_start($template) {

  global $themesetting;
  
  /**
   * bestimmte Texte, vor allem Image-Pfade, die ersetzt werden sollen, definieren (suche/ersetze)
   */
  $part [] = array (
      '"style/',
      '"' . MX_THEME_DIR . '/style/' 
  ); // die Stylesheets
  $part [] = array (
      '"images/',
      '"' . MX_THEME_DIR . '/images/' 
  ); // normale images im theme
     // Suchformular entfernen, wenn Suche abgeschaltet ist
  if (! mxModuleAllowed ( 'Search' )) {
    theme_extract_optional_part ( $template, 'searchform', '' );
  }
  // Siteservicebereich entfernen, wenn Siteservice abgeschaltet oder leer ist
  if (! theme_get_servicetext ( 'siteservice' )) {
    theme_extract_optional_part ( $template, 'siteservice', '' );
  }
  // Debugbereich entfernen, wenn Debugmodus abgeschaltet oder leer ist
  if (! theme_get_servicetext ( 'debugservice' )) {
    theme_extract_optional_part ( $template, 'debugservice', '' );
  }
  // das Kopfmenue durch die tatsaechlichen Daten ersetzen
  theme_extract_optional_part ( $template, 'headmenue', '{NAVBAR}' );
  theme_extract_optional_part ( $template, 'mobileMenu', '{NAVBAR}' );
  $part [] = array (
      '{CLASS}',
      theme_get_layout_class () 
  );
  
  // SLIDERJS bei Bedarf ersetzen
  if ($themesetting ['useslides']) {
    pmxHeader::add_script ( _THISTHEME_ . "/js/init_slidesjs.js" );
    theme_extract_optional_part ( $template, 'sliderjs', theme_get_sliderjs () );
  }
  
  return theme_replace_parts ( $template, $part );
}

/**
 * ersetzen von eigenen Theme-Elementen, kann veraendert und ergaenzt werden
 * diese Teile werden vor der Ausgabe des headers im Headbereich ersetzt
 */
function theme_replace_header($newheader) {
  /* bei Bedarf den XHTML-Dokumenttyp ueberpruefen und Fehlermeldung ausgeben */
  if (MX_IS_ADMIN && ! theme_check_xhtmldoctype ()) {
    $newheader .= '<div class="warning"><h2 class="align-center">' . _FALSEDOCTYPE . '</h2></div>';
  }
  
  return $newheader;
}

/**
 * ersetzen in jedem einzelnen Block
 */
function theme_replace_blocks($template, $block) {
  /* Teil fuer alle Bloecke */
  if (empty ( $block ['title'] ) || $block ['title'] == 'NOTITLE') {
    $part [] = array (
        '__BLOCK_ID__',
        '__BLOCK_ID__ block-hide-caption' 
    );
    $part [] = array (
        '<h2></h2>',
        '' 
    );
    $part [] = array (
        '<div class="block-title"></div>',
        '' 
    );
  }
  $part [] = array (
      '__BLOCK_ID__',
      'block-' . $block ['position'] . '-' . $block ['order'] . '-bid-' . $block ['bid'] . '' 
  );
  
  return theme_replace_parts ( $template, $part );
}

/**
 * ersetzen von eigenen Theme-Elementen, kann veraendert und ergaenzt werden
 * diese Teile werden am Ende des scriptes, in der Funktion themefooter() ersetzt
 */
function theme_replace_end($template) {

  global $themesetting;
  
  /* die linken Bloecke bei bestimmten Seiten entfernen */
  if (theme_hideleftblocks ()) {
    theme_extract_part ( $template, 'blocks_left_container' );
  }
  
  return $template;
}

/**
 * pruefen ob linke Bloecke ausgeblendet werden sollen
 */
function theme_hideleftblocks() {

  global $themesetting;
  
  switch (true) {
    case (isset ( $themesetting ['hide-left'] ) && in_array ( 1, $themesetting ['hide-left'] )) :
    case theme_hidesideblocks () :
      return true;
  }
  
  $blocks = mxGetAllBlocks ( 'l' );
  if (! $blocks) {
    // für nächsten Aufruf vereinfachen
    $themesetting ['hide-left'] [] = 1;
    return true;
  }
  return false;
}

/**
 * pruefen ob linke Bloecke ausgeblendet werden sollen
 */
function theme_hiderightblocks() {

  global $themesetting;
  
  switch (true) {
    case empty ( $GLOBALS ['index'] ) :
    case theme_hidesideblocks () :
      return true;
  }
  
  $blocks = mxGetAllBlocks ( 'r' );
  if (! $blocks) {
    // für nächsten Aufruf vereinfachen
    $GLOBALS ['index'] = false;
    return true;
  }
  return false;
}

/**
 * pruefen ob linke Bloecke ausgeblendet werden sollen
 */
function theme_hidesideblocks() {

  global $themesetting;
  return (isset ( $themesetting ['hide-both'] ) && in_array ( 1, $themesetting ['hide-both'] ));
}

/**
 * die Navigationsbuttons im header, Quelle in settings.php
 */
function theme_get_navbars($number) {

  global $themesetting;
  
  /* Menümanager verwenden? */
  if ($themesetting ['head_css_menu']) {
    return theme_get_mxmenu ();
  }
  
  /* ansonsten eben das Array... */
  static $out;
  if (isset ( $out [$number] )) {
    return $out [$number];
  }
  $data = theme_head_data ();
  $count = count ( $data [$number] ) - 1;
  foreach ( $data [$number] as $key => $menue ) {
    switch (true) {
      case ($menue ['current'] && ($key == 0)):
                /* aktuelle Seite und erster Tab */
                $class = ' class="current"';
        break;
      case ($key == 0):
                /* irgendeine Seite und erster Tab */
                $class = ' class="home"';
        break;
      case ($menue ['current']):
                /* aktuelle Seite und irgendein Tab */
                $class = ' class="current"';
        break;
      default:
                /* irgendeine Seite und irgendein Tab */
                $class = '';
    }
    $slogan = (empty ( $menue ['slogan'] )) ? '' : ' title="' . $menue ['slogan'] . '"';
    $navbar [] = '<li><a' . $class . ' href="' . $menue ['link'] . '">' . $menue ['caption'] . '</a></li>';
  }
  $out [$number] = '<ul>' . implode ( "\n", $navbar ) . '</ul>';
  return $out [$number];
}

function theme_get_footmsg_left() {

  $var = array ();
  for($i = 1; $i <= 2; $i ++) {
    if ($GLOBALS ['foot' . $i]) {
      if (defined ( $GLOBALS ['foot' . $i] )) {
        $var [$i] = constant ( $GLOBALS ['foot' . $i] );
      } else {
        $var [$i] = $GLOBALS ['foot' . $i];
      }
    }
  }
  $out = '';
  if ($var) {
    $out = '<p>' . implode ( "</p>\n<p>", $var ) . '</p>';
  }
  return $out;
}

function theme_get_footmsg_middle() {

  $var = array ();
  for($i = 3; $i <= 4; $i ++) {
    if ($GLOBALS ['foot' . $i]) {
      if (defined ( $GLOBALS ['foot' . $i] )) {
        $var [$i] = constant ( $GLOBALS ['foot' . $i] );
      } else {
        $var [$i] = $GLOBALS ['foot' . $i];
      }
    }
  }
  $i ++;
  $var [$i] = 'Theme &copy;&nbsp;<b>' . MX_THEME . '</b> by <a href="http://www.alaniso.de">aLaNiSo</a> ';
  $var [$i] .= 'based on tutorial <a href="http://www.lingulo.com">Lingulo</a>';
  
  $out = '';
  if ($var) {
    $out = '<p>' . implode ( "</p>\n<p>", $var ) . '</p>';
  }
  return $out;
}

/**
 * *
 * Hier zeigen wir die letzten 3 News an:
 * Falls Bilder im Text existieren, nehmen wir diese gerne an :-)
 */
function theme_get_footmsg_right() {

  global $themesetting;
  
  $limit = 3;
  $limit = ($limit) ? ' LIMIT ' . intval ( $limit ) : '';
  $storieslist = array ();
  $storie = array ();
  $result = sql_query ( "SELECT sid, title, hometext, bodytext, comments, counter FROM " . $GLOBALS ['prefix'] . "_stories " . pmx_multilang_query ( 'alanguage', 'WHERE' ) . " ORDER BY time DESC, sid DESC " . $limit . "" );
  while ( list ( $sid, $title, $hometext, $bodytext, $comments, $counter ) = sql_fetch_row ( $result ) ) {
    $storie ['id'] = $sid;
    $storie ['title'] = $title;
    $storie ['hometext'] = $hometext;
    $storie ['bodytext'] = $bodytext;
    $storie ['comments'] = ($GLOBALS ['articlecomm'] && $comments >= 1) ? mxValueToString ( $comments, 0 ) . ' ' . _COMMENTS : '';
    $storie ['counter'] = mxValueToString ( $counter, 0 ) . ' ' . _READS;
    // Lesen Image-File, falls vorhanden:
    // Beitrags-Aufmacher:
    preg_match_all ( "/src=\"(.+?)\"/i", $storie ['hometext'], $img_from_text, PREG_SET_ORDER );
    if (! empty ( $img_from_text [0] [0] )) {
    } else {
      // sonst Erweiterter Text
      preg_match_all ( "/src=\"(.+?)\"/i", $storie ['bodytext'], $img_from_text, PREG_SET_ORDER );
    }
    if (! empty ( $img_from_text [0] [1] )) {
      $storie ['img'] = $img_from_text[0][1];
    } else {
      $storie ['img'] = MX_THEME_DIR . '/images/dummy_news.png';
    }  
    $storieslist [] = $storie;
  }
  // Falls es keine News gibt: Template setzen:
  if (! $storieslist) {
    $storie = array ();
    $storie ['id'] = 0;
    $storie ['title'] = 'Hier wird der letzte Artikel erscheinen...';
    $storie ['comments'] = '';
    $storie ['counter'] = mxValueToString ( 0, 0 ) . ' ' . _READS;
    $storie ['img'] = MX_THEME_DIR . '/images/example-slide-1sml.jpg';
    $storieslist [] = $storie;
    $storie = array ();
    $storie ['id'] = 0;
    $storie ['title'] = 'Auch einen zweiten sollte man nicht meiden!';
    $storie ['comments'] = '';
    $storie ['counter'] = mxValueToString ( 0, 0 ) . ' ' . _READS;
    $storie ['img'] = MX_THEME_DIR . '/images/example-slide-2sml.jpg';
    $storieslist [] = $storie;
    $storie = array ();
    $storie ['id'] = 0;
    $storie ['title'] = 'Und zum Schluss: Mit Artikel 3 sind wir dabei!';
    $storie ['comments'] = '';
    $storie ['counter'] = mxValueToString ( 0, 0 ) . ' ' . _READS;
    $storie ['img'] = MX_THEME_DIR . '/images/example-slide-3sml.jpg';
    $storieslist [] = $storie;
  }
  
  $tpl = load_class ( 'Template' );
  $tpl->set_path ( dirname ( __FILE__ ) . DS . 'templates' );
  $tpl->assign ( 'themesetting', $themesetting );
  $tpl->assign ( 'storieslist', $storieslist );
  $tpl->assign ( 'module_name', 'News' );
  
  return $tpl->fetch ( 'footer_stories.html' );
}

/**
 * Auslesen der Menüpunkte, wenn Headmenü nicht aus dem Menümanager kommt
 */
function theme_head_data() {

  global $themesetting;
  static $out;
  if (isset ( $out )) {
    return $out;
  }
  $out ['current'] = array ();
  foreach ( $themesetting ['headnav'] as $key => $values ) {
    $values ['current'] = false;
    if (in_array ( 1, $values ['case'] )) {
      $out ['current'] = $values;
      $values ['current'] = true;
    }
    if ($values ['menu']) {
      $values ['index'] = $key;
      $out [$values ['menu']] [] = $values;
    }
  }
  return $out;
}

/**
 * in $newheader ist der gesamte angepasste header enthalten
 */
function theme_header($newheader, &$siteservice, &$debugservice) {

  global $theme_template, $themesetting;
  /* das Theme verwendet eigene Servicebereiche, deswegen hier die beiden Variablen killen */
  $siteservice = null;
  $debugservice = null;
  
  /* Layout im body-Tag definieren */
  $class = theme_get_layout_class ();
  $theme_template ['body_tag'] = preg_replace ( '#(class\s*=\s*["\'])(.*)(["\'])#', '$1' . trim ( $class ) . '$3', $theme_template ['body_tag'] );
  
  /* den body-Tag hinter head-Ende setzen >> nicht veraendern !! */
  $newheader .= "\n<!-- template by aLaNiSo -->\n</head>\n\n" . $theme_template ['body_tag'] . "\n\n";
  // ersetzen von eigenen Theme-Elementen, kann veraendert und ergaenzt werden
  // diese Teile werden vor der Ausgabe des headers im Headbereich ersetzt
  $newheader = theme_replace_header ( $newheader );
     
  return $newheader;
}

/**
 * parsen der Seiten-Bloecke
 */
function themesidebox($title, $content, $block = array(), $noecho = 0) {

  global $theme_template, $themesetting;
  switch (true) {
    case empty ( $block ) :
    case empty ( $block ['position'] ) :
    case $block ['position'] === 'l' :
      $out = $theme_template ['block_left'];
      break;
    case $block ['position'] === 'r' :
      $out = $theme_template ['block_right'];
      break;
  }
  $out = str_replace ( '{BLOCK_CONTENT}', $content, $out );
  $out = str_replace ( '{BLOCK_TITLE}', $title, $out );
  if ($noecho) {
    return $out;
  } else {
    echo $out;
  }
}

/**
 * parsen der Center-Bloecke
 */
function thememiddlebox($title, $content, $block = array(), $noecho = 0) {

  global $theme_template, $themesetting;
  
  $out = '';
  switch (true) {
    case empty ( $block ) :
    case empty ( $block ['position'] ) :
    case $block ['position'] === 'c' :
      $block ['position'] = 'c';
      $out = $theme_template ['block_center_top'];
      break;
    
    case $block ['position'] === 'd' :
      $out = $theme_template ['block_center_down'];
      break;
  }
  
  $out = str_replace ( '{BLOCK_CONTENT}', $content, $out );
  $out = str_replace ( '{BLOCK_TITLE}', $title, $out );
  if ($noecho) {
    return $out;
  } else {
    echo $out;
  }
}

/**
 * News Modul Artikelliste (index.php)
 * $x bedeutet: nicht verwendet, nur zur nuke-Modulkompatibilitaet
 */
function themeindex($x, $x, $x, $x, $x, $x, $x, $x, $x, $x, $x, $x, $story = array()) {

  global $theme_template;
  // nur eine Spalte zulassen :-)
  $GLOBALS ['storyhome_cols'] = 1;
  
  $story = theme_get_story ( $story );
  if (! empty ( $story ['allmorelink'] ['bodycount'] )) {
    $title = ($story ['allmorelink'] ['bodycount']) ? ' title="' . $story ['allmorelink'] ['bodycount'] . ' ' . _BYTESMORE . '"' : '';
    $story ['readmore'] = '<a href="modules.php?name=News&amp;file=article&amp;sid=' . $story ['sid'] . '" class="post-readmore"' . $title . '>' . _HREADMORE . '</a>';
  } else {
    $title = '';
  }
  
  $story ['title'] = '<a href="modules.php?name=News&amp;file=article&amp;sid=' . $story ['sid'] . '" rel="bookmark"' . $title . '>' . strip_tags ( $story ['title'] ) . '</a>';
  
  $story ['notes'] = '';
  // die oben definierten Variablen in dem passenden templateteil ersetzen
  $artvars = theme_define_content ();
  $out = theme_replace_vars ( $theme_template [$artvars ['themeindex']], $story );
  
  echo $out;
  return;
}

/**
 * News Modul Artikelansicht (article.php)
 * $x bedeutet: nicht verwendet, nur zur nuke-Modulkompatibilitaet
 */
function themearticle($x, $x, $x, $x, $x, $x, $x, $x, $x, $story = array()) {

  global $theme_template;
  
  $story = theme_get_story ( $story );
  
  $story ['title'] = strip_tags ( $story ['title'] );
  $story ['content'] .= "<br />\n" . $story ['bodytext'];
  $story ['notes'] = (empty ( $story ['notes'] )) ? '' : '<dl class="post-notes"><dt>' . _NOTE . '</dt><dd>' . $story ['notes'] . '</dd></dl>';
  // die oben definierten Variablen in dem passenden templateteil ersetzen
  echo theme_replace_vars ( $theme_template ['themeindex'], $story );
  return;
}

/**
 * theme_get_story()
 *
 * @param mixed $story          
 * @return
 *
 */
function theme_get_story($story) {

  $story ['comments'] = '';
  $story ['readmore'] = '';
  $story ['content'] = $story ['hometext'];
  
  $story ['title'] = strip_tags ( $story ['title'] );
  
  if (is_file ( $GLOBALS ['tipath'] . $story ['topicimage'] )) {
    $story ['topicimage'] = $GLOBALS ['tipath'] . $story ['topicimage'];
  } else {
    $story ['topicimage'] = $GLOBALS ['tipath'] . 'AllTopics.gif';
  }
  $story ['topictitle'] = _TOPIC . ': ' . $story ['topictext'];
  
  $dat = strtotime ( $story ['time'] );
  $story ['posted_month'] = strftime ( '%b', $dat );
  $story ['posted_day'] = date ( 'd', $dat );
  
  $authorinfo = (empty ( $story ['informant'] ) || $story ['informant'] == $GLOBALS ['anonymous']) ? theme_adminname ( $story ) : " " . $story ['allmorelink'] ['informantlink'] . $story ['informant'] . "</a>";
  $story ['infoline1'] = _NEWSSUBMITED . " " . $authorinfo;
  
  $story ['infoline2'] = _THEME_IN . ' <a href="modules.php?name=News&amp;topic=' . $story ['topic'] . '">' . $story ['topictext'] . '</a>';
  $story ['infoline3'] = '<a href="modules.php?name=News&amp;file=article&amp;sid=' . $story ['sid'] . '#comments" class="comments">' . $story ['allmorelink'] ['comments'] . '</a>';
  
  return $story;
}

function theme_get_social() {

  global $themesetting;
  
  $out = '';
  if ($themesetting ['rsslink'])
    $out .= '<a href="' . $themesetting ['rsslink'] . '"><img src="' . MX_THEME_DIR . '/images/rss.png" alt="' . _THEME_RSS . '" width="25"/></a>';
  if ($themesetting ['facebooklink'])
    $out .= '<a href="' . $themesetting ['facebooklink'] . '"><img src="' . MX_THEME_DIR . '/images/facebook.png" alt="' . _THEME_FACEBOOK . '" width="25"/></a>';
  if ($themesetting ['twitterlink'])
    $out .= '<a href="' . $themesetting ['twitterlink'] . '"><img src="' . MX_THEME_DIR . '/images/twitter.png" alt="' . _THEME_TWITTER . '" width="25"/></a>';
  if ($themesetting ['youtubelink'])
    $out .= '<a href="' . $themesetting ['youtubelink'] . '"><img src="' . MX_THEME_DIR . '/images/youtube.png" alt="' . _THEME_YOUTUBE . '" width="25"/></a>';
  if ($themesetting ['tumblrlink'])
    $out .= '<a href="' . $themesetting ['tumblrlink'] . '"><img src="' . MX_THEME_DIR . '/images/tumblr.png" alt="' . _THEME_TUMBLR . '" width="25"/></a>';
  if ($themesetting ['googlelink'])
    $out .= '<a href="' . $themesetting ['googlelink'] . '"><img src="' . MX_THEME_DIR . '/images/google+.png" alt="' . _THEME_GOOGLE . '" width="25"/></a>';
  if ($themesetting ['bebolink'])
    $out .= '<a href="' . $themesetting ['bebolink'] . '"><img src="' . MX_THEME_DIR . '/images/bebo.png" alt="' . _THEME_BEBO . '" width="25"/></a>';
  return $out;
}

/**
 * theme_get_mxmenu()
 * CSS-Menü aus dem Menümanager auslesen
 *
 * @return string
 */
function theme_get_mxmenu_old() {

  global $themesetting;
  
  load_class ( 'Menu', false );
  
  $menu = pmxMenu::get_menu_instance ( $themesetting ['head_css_menu'] );
  $menu->template_path = MX_THEME_DIR;
  $menu->template = 'theme.menu.tpl.html';
  $menu->class_current = 'current';
  // $menu->class_additional = 'fadethis';
  if (MX_IS_ADMIN && ! $menu->get_tree ()) {
    return '<div class="warning">' . sprintf ( _THEME_MENU_NOT_EXIST, $themesetting ['head_css_menu'] ) . ' [<a href="' . adminUrl ( 'menu' ) . '">' . _MX_MENU_ADDMENU_EDIT . '</a>]</div>';
  }
  
  $content = $menu->fetch ();
  $menu = null;
  
  return $content;
}

/**
 * theme_get_mxmenu()
 * CSS-Menü aus dem Menümanager auslesen
 *
 * @return string
 */
function theme_get_mxmenu() {

  global $themesetting;
  
  /* Wenn kein Menü angegeben, einfach weg hier... */
  if (empty ( $themesetting ['head_css_menu'] )) {
    /* aber auch die twitter und rss Lins ausblenden, weil das sonst doof aussieht */
    pmxHeader::add_style_code ( '#header .shadow-right.clearfix{padding-bottom:0;}#header p.nav-extra {display:none;}' );
    return;
  }
  
  load_class ( 'Menu', false );
  
  $menu = pmxMenu::get_menu_instance ( $themesetting ['head_css_menu'] );
  $menu->template_path = MX_THEME_DIR;
  $menu->template = 'theme.menu.tpl.html';
  $menu->class_current = 'active';
  $menu->class_additional = 'fadethis';
  if (MX_IS_ADMIN && ! $menu->get_tree ()) {
    return '<div class="warning">' . sprintf ( _THEME_MENU_NOT_EXIST, $themesetting ['head_css_menu'] ) . ' [<a href="admin.php?op=menu">' . _MX_MENU_ADDMENU_EDIT . '</a>]</div>';
  }
  
  $content = $menu->fetch ();
  $menu = null;
  
  return $content;
}

/**
 * theme_get_mobilemenu()
 * CSS-Menü aus dem Menümanager auslesen
 *
 * @return string
 */
function theme_get_mobilemenu() {

  global $themesetting;
  
  load_class ( 'Menu', false );
  
  $menu = pmxMenu::get_menu_instance ( $themesetting ['mobile_css_menu'] );
  $menu->template_path = MX_THEME_DIR;
  $menu->template = 'theme.mobilemenu.tpl.html';
  $menu->class_current = 'current';
  // $menu->class_additional = 'fadethis';
  if (MX_IS_ADMIN && ! $menu->get_tree ()) {
    return '<div class="warning">' . sprintf ( _THEME_MENU_NOT_EXIST, $themesetting ['head_css_menu'] ) . ' [<a href="' . adminUrl ( 'menu' ) . '">' . _MX_MENU_ADDMENU_EDIT . '</a>]</div>';
  }
  
  $content = $menu->fetch ();
  $menu = null;
  
  return $content;
}

/**
 * theme_get_sliderjs()
 * gibt bei Bedarf den Inhalt der Slider aus...
 *
 * @return
 *
 */
function theme_get_sliderjs() {

  global $themesetting;
  
  $tpl = load_class ( 'Template' );
  $tpl->set_path ( dirname ( __FILE__ ) . DS . 'templates' );
  $tpl->assign ( 'themesetting', $themesetting );
  
  return $tpl->fetch ( 'section_sliderjs.html' );
}

/**
 * theme_preview_settings()
 * Theme-Einstellungen über Demo-Block steuern
 * (reserviert für pragmaMx Entwicklerteam)
 *
 * @param mixed $themesetting          
 * @return
 *
 */
function theme_preview_settings(&$themesetting) {

  if ($file = realpath ( _THISTHEME_ . '/theme.vars.ini' )) {
    $requestname = 'thset_' . basename ( _THISTHEME_ );
    if (isset ( $_POST [$requestname] )) {
      $newvals = $_POST [$requestname];
    } else {
      $newvals = mxSessionGetVar ( $requestname );
    }
    if ($newvals && is_array ( $newvals )) {
      $setting = parse_ini_file ( $file, true );
      $session = array ();
      foreach ( $newvals as $key => $value ) {
        if (isset ( $setting [$key] ) && in_array ( $value, $setting [$key] )) {
          $themesetting [$key] = $value;
          $session [$key] = $value;
        }
      }
      mxSessionSetVar ( $requestname, $session );
    }
  }
}

?>