<?php
/**
 * This file is part of Theme for 
 * pragmaMx - Web Content Management System.
 *
 * $template : ala_lingu $
 * $Revision: 1.1 $
 * 
 * $Author: aLaNiSo $
 * $Date: 21.10.2014 $
 */
defined('mxMainFileLoaded') or die('access denied');

define('_THISTHEME_', __DIR__);
define('_THISTHEMENAME_',basename(dirname(__FILE__)));

/* Sprachdatei auswaehlen */
mxGetLangfile(_THISTHEME_ . DS . 'language');

global $themesetting; // global muss drin bleiben, weil das in einer Funktion includet wird !!
$themesetting = array();


include_once(_THISTHEME_ . '/includes/functions.php');
$theme_config = new theme_functions(_THISTHEMENAME_);

require(_THISTHEME_ . '/theme.settings.php');
require(_THISTHEME_ . '/theme.colors.php');
require_once(_THISTHEME_ . '/theme.functions.php');

/* Die Theme-Settings aus Admin kommen dazu */
$themesetting2=$theme_config->config_load();
$themesetting=array_merge($themesetting,$themesetting2);

/* guggen, was f?r ein Browser am werkeln ist */
$theme_browser = load_class('Browser');
$themesetting['browser']=" ".$theme_browser->browser();

theme_preview_settings($themesetting);

/* nur wenn theme.php normal verwendet wird, nicht fuer CSS */
if (!defined('DONT_INIT_THEME') || DONT_INIT_THEME == false) {
    /* zu alte pragmaMx-Version */
    if (version_compare(PMX_VERSION, '1.12', '<')) {
        die('<br />Sorry, theme "' . basename(_THISTHEME_) . '" requires pragmaMx version >= 1.12');
    }

    /* die themeEngine laden */
    include_once(PMX_SYSTEM_DIR . '/mx_themes.php');

    /* bei Bedarf den Dokumenttyp anpassen :) */
    if (!theme_check_xhtmldoctype()) {
        $GLOBALS['DOCTYPE'] = '6';
    }
}

/* PNG-Fix für alten IE < 7 */
if ($theme_browser->msie && $theme_browser->version < 7) {
	pmxHeader::add_style(_THISTHEME_."/style/style.ie7.css");
}


// aLa: viewport setzen:
// wird in der header.php gelesen:
$viewport='content="width=device-width, initial-scale=1.0"';
pmxHeader::set_meta("viewport",$viewport);

pmxHeader::add('<!--[if lte IE 7]><link rel="stylesheet" href="style/style.ie7.css" media="screen" /><![endif]-->');
if (file_exists(_THISTHEME_."/favicon.ico")) pmxHeader::add("<link rel=\"shortcut icon\" href=\"" . PMX_HOME_URL . "/themes/" ._THISTHEMENAME_. "/favicon.ico\" type=\"image/x-icon\" />");

/* Jquery auf alle Fälle einbinden */
pmxHeader::add_jquery();

/* CSS Dateien einbinden */
pmxHeader::add_style(_THISTHEME_."/style/reset.css");
pmxHeader::add_style(_THISTHEME_."/style/responsive.css");
pmxHeader::add_style(_THISTHEME_."/style/pragma.css");
// style.css wird generell im header.php includiert:
// pmxHeader::add_style(_THISTHEME_."/style/style.css");

/* Farbschema:  */
switch (true) {
	case file_exists(dirname(__FILE__) . DS . 'style' . DS . 'color-' . $themesetting['colorschema'] . '.css');
	pmxHeader::add_style(MX_THEME_DIR . '/style/color-' . $themesetting['colorschema'] . '.css');
	break;
	default:
		pmxHeader::add_style(MX_THEME_DIR . '/style/color-orange.css');
}

/* JavaScript einbinden */
pmxHeader::add_script(_THISTHEME_."/js/vendor/modernizr.min.js");
pmxHeader::add_script(_THISTHEME_."/js/vendor/respond.min.js");

pmxHeader::add_script(_THISTHEME_."/js/vendor/prefixfree.min.js");
pmxHeader::add_script(_THISTHEME_."/js/vendor/jquery.slides.min.js");
pmxHeader::add_script(_THISTHEME_."/js/script.js");

?>
